# 环境配置
server:
  port: 9001
  servlet:
    context-path: /api/m

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect
  # MongoDB配置
  data:
    mongodb:
      uri: mongodb://tbread:Teambition999@192.168.31.201:27017/teambition   # 固定格式 [连接成功后, 需要为 teambition 库添加 admin 权限才可查询]

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

# dingtalk
dingtalk:
  agentId: 2691784047
  appKey: dinghbynhnd2dbgypmsa
  appSecret: Kl5Xw8x0TlEIlvcJuUkYZD18UTTShJmfdKrAIpY8oX-Q_tazyUKA28nQh7dG5-mq
  corpId: ding321c72787fffc78b35c2f4657eb6378f
  aesKey: hUKD4QaLkGTvh86GyOHCmWZ4I1YvAlaUvKkGufXFdaD
  token: TE0bPgJ1v9Fc3Svu8cfMKcoBd6q5TkljPHg
  operator: "095358016629044412"   # OA管理员账号

# aliwork
aliwork:
  appType: APP_WBJG1I16K1N2L1FFQ3BX
  systemToken: KBB665A1ABB3A25Q9U2346GV9VMT3TLW1F77L76

